<?php
	session_start();
	$ruta="../../../";
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;
	include_once($ruta."class/creditomov.php");
	$creditomov=new creditomov;
	include_once($ruta."class/individualcredito.php");
	$individualcredito=new individualcredito;
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	extract($_POST);
	$fecha=date("Y-m-d");
	$dpago=$creditomov->mostrarUltimo("idgrupocredito=".$idindividualc." and fecha='$fechaHoy' and estado=1 and tipocredito=1");
	$gcred=$individualcredito->muestra($idindividualc);
	$ddom=$dominio->muestra($gcred['frecuenciapago']);
	$fechaUltmo=$gcred['fechaproximo'];

	//$fechaProx = strtotime ( '+'.$ddom['short'].' day' , strtotime ($fechaUltmo)) ;
	$fechaProx = strtotime ( '+'.$ddom['short'].' month' , strtotime ($fechaUltmo)) ;
    $fechaProx = date ( 'Y-m-d' , $fechaProx );


    echo "FECHAULT: ".$fechaUltmo." FECHAPROX: ".$fechaProx.' DIAS: '.$ddom['short'];

	$cuota=$gcred['cuota']+1;
	foreach($credito->mostrarTodo("idgrupocredito=".$idindividualc." and estadocobro=1 and tipocredito=1") as $f)
	{
		$idcredito=$f['idcredito'];
		$cuotasP=$f['cuotaspagadas']+1;
		$fechapago=$f['fechaproxve'];
		$cuenta=$f['cuenta'];
		$saldo=$f['saldo'];
		$estadoAnt=$f['estadocredito'];
		//$nuevafecha = strtotime ( '+'.$f['lapsoDias'].' day' , strtotime ($f['fechaproxve'])) ;
		$nuevafecha = strtotime ( '+'.$f['lapsoDias'].' month' , strtotime ($f['fechaproxve'])) ;
    	$nuevafecha = date ( 'Y-m-d' , $nuevafecha );
		$valcredito=array(
			"cuotaspagadas"=>"'$cuotasP'",
			"fechaultpago"=>"'$fechapago'",
			"fechaproxve"=>"'$nuevafecha'",
			"estadocobro"=>"'0'",
			"estadocredito"=>"'2'",
	 	);
		$credito->actualizar($valcredito,$idcredito);

		$valores2=array(
			"idcredito"=>"'$idcredito'",
			"codoperacion"=>"'0'",
			"cuenta"=>"'$cuenta'",
			"fecha"=>"'$fechaHoy'",
			"cuota"=>"'$cuotasP'",
			"saldoant"=>"'$saldo'",
			"saldo"=>"'$saldo'",
			
			"monto"=>"'0'",
			"interes"=>"'0'",
			"gadmin"=>"'0'",
			"seguro"=>"'0'",

			"glosa"=>"'REGISTRO SIN PAGO'",
			"estadodiasmora"=>"'3'", //interes abierto para calcular
			"fechainiciomora"=>"'$fechapago'",
			"estadoant"=>"'$estadoAnt'",
			"estado"=>"'2'"
	 	);	
		$creditodetalle->insertar($valores2);
	}
	$estadoCred=11;
	foreach($credito->mostrarTodo("idgrupocredito=".$idindividualc." and estadocredito=2 and tipocredito=1") as $f)
	{
		$estadoCred=12;
	}
	$valcredito=array(
		"fechaultimo"=>"'$fechaUltmo'",
		"fechaproximo"=>"'$fechaProx'",
		"estadocredito"=>"'$estadoCred'",
		"cuota"=>"'$cuota'",
		"impresion"=>"'0'"//0 estado renicio
 	);
	$individualcredito->actualizar($valcredito,$idindividualc);



	$valmov=array(
		"estado"=>"'0'"
 	);
	$creditomov->actualizar($valmov,$dpago['idcreditomov']);


	?>
		<script type="text/javascript">
		swal({
			title: "Listo",
			text: "Cobro cerrado correctamente",
			type: "success",
			showCancelButton: false,
			confirmButtonColor: "#28e29e",
			confirmButtonText: "OK",
			closeOnConfirm: false
          }, function () {
			location.reload();
          });
		</script>
	<?php

?>